<?php
/*
 * Template Name: Showcase Page Alternative
 *
 * @package customfolio
 * @since customfolio 1.0
*/
get_header();

?>

<div id="showcase-wrap">

	<?php // If the user has filled out a brief introductory message in the theme options, display it here
		$options = customfolio_get_theme_options();

		if ( '' != $options['intro_text'] ) :
	?>
	<section id="intro" class="introduction">
		<p><?php echo ( stripslashes( $options['intro_text'] ) ); ?></p>
	</section><!-- .introduction -->
	<?php else : ?>
		<section id="intro" class="introduction">
			<p>This is an introductory message. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa.</p>
		</section><!-- .introduction -->
	<?php endif; ?>
	
	<div id="primary" class="site-content">
	<div id="content" role="main">
				<!-- Begin featured post section. -->
				<section id="post-highlight">

				<?php 
				
				$args = array(
					'posts_per_page' => 4,
					 'post__not_in' => get_option( 'sticky_posts' ),
				);
				query_posts( $args );

				?>
							<div class="post-section clear-fix">
							
								<?php while (have_posts() ) : the_post();


									/* Let's show a thumbnail (if it exists), title, and excerpt for each post */
								?>
									<article <?php post_class(); ?>>
										<?php if ( '' != get_the_post_thumbnail() ) : ?>
											<div class="feature-thumbnail">
												<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'customfolio' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark">
													<span class="post-format-icon"><?php echo get_post_format(); ?></span>
													<?php the_post_thumbnail( 'customfolio-small-thumbnail', array( 'class' => 'customfolio-small-thumbnail', 'alt' => get_the_title(), 'title' => get_the_title() ) ); ?>
												</a>
											</div><!-- .feature-thumbnail -->
										<?php endif; // end check for post thumbnail existence ?>

										<header>
											<h3 class="entry-title">
												<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'customfolio' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
											</h3><!-- .entry-title -->
										</header>

										<div class="entry-summary">
											<?php the_excerpt(); ?>
											<?php edit_post_link( __( 'Edit', 'customfolio' ), '<span class="edit-link">', '</span>' ); ?>
										</div><!-- .entry-summary -->

									</article><!-- .hentry -->

								<?php

									endwhile;

									wp_reset_query();
								?>

							</div><!-- .post-section -->

				</section><!-- .post-highlight -->

	





</div><!-- #content -->
</div><!-- #primary .site-content -->
</div><!-- #showcase-wrap -->
<?php get_footer(); ?>